package com.fs.wxcid.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.wxcid.domain.WxMsgLog;

/**
 * 个微消息记录Mapper接口
 * 
 * @author fs
 * @date 2025-12-16
 */
public interface WxMsgLogMapper extends BaseMapper<WxMsgLog>{
    /**
     * 查询个微消息记录
     * 
     * @param id 个微消息记录主键
     * @return 个微消息记录
     */
    WxMsgLog selectWxMsgLogById(Long id);

    /**
     * 查询个微消息记录列表
     * 
     * @param wxMsgLog 个微消息记录
     * @return 个微消息记录集合
     */
    List<WxMsgLog> selectWxMsgLogList(WxMsgLog wxMsgLog);

    /**
     * 新增个微消息记录
     * 
     * @param wxMsgLog 个微消息记录
     * @return 结果
     */
    int insertWxMsgLog(WxMsgLog wxMsgLog);

    /**
     * 修改个微消息记录
     * 
     * @param wxMsgLog 个微消息记录
     * @return 结果
     */
    int updateWxMsgLog(WxMsgLog wxMsgLog);

    /**
     * 删除个微消息记录
     * 
     * @param id 个微消息记录主键
     * @return 结果
     */
    int deleteWxMsgLogById(Long id);

    /**
     * 批量删除个微消息记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWxMsgLogByIds(Long[] ids);
}
